$:.push File.expand_path("../lib", __FILE__)

require 'P4/version'
VERSION = P4::VERSION

Gem::Specification.new { |t|
  t.name = 'p4ruby'
  t.version = VERSION
  t.summary = 'Ruby extensions to the C++ Perforce API'
  t.description = t.summary + '.'
  t.author = 'Perforce Software, Inc.'
  t.email = 'support@perforce.com'
  t.homepage = 'http://www.perforce.com/product/components/apis'
  t.extensions = ['ext/P4/extconf.rb']
  t.licenses = ['MIT']

  # We have a strict dependency here due to a linux build issue launching rake
  t.add_development_dependency 'rake', '10.3.2'
  t.add_development_dependency 'rake-compiler', '~> 0.9'
  t.add_development_dependency 'test-unit', '~> 3.0'
  t.add_development_dependency 'p4util', '~> 0.0.3'

  t.files = %w( LICENSE.txt p4-doc/user/p4rubynotes.txt )
  t.files += Dir.glob('ext/**/*.cpp')
  t.files += Dir.glob('ext/**/*.h')
  t.files += Dir.glob('lib/**/*.rb')
}

